{% block swag_guided_shopping_presentation_detail_base %}
    <div class="swag-guided-shopping-presentation-detail-base">
        {% block swag_guided_shopping_presentation_detail_base_basic_info_card %}
            <sw-card
                    class="swag-guided-shopping-presentation-detail-base__info"
                    position-identifier="swag-guided-shopping-presentation-detail-base__info"
                    :title="$tc('swag-guided-shopping-presentation.detailBase.cardTitlePresentationInfo')"
                    :isLoading="isLoading">
                {% block swag_guided_shopping_presentation_detail_base_basic_info_form %}
                    <sw-container columns="repeat(auto-fit, minmax(150px, 1fr))" gap="0px 30px">
                        {% block swag_guided_shopping_presentation_basic_form_name %}
                                <sw-text-field
                                        name="presentationName"
                                        v-model:value="presentation.name"
                                        :disabled="!acl.can('guided_shopping_presentation.editor')"
                                        validation="required"
                                        :label="$tc('swag-guided-shopping-presentation.base.general.presentationNameLabel')"
                                        :placeholder="placeholder(presentation, 'name', $tc('swag-guided-shopping-presentation.base.general.presentationNamePlaceholder'))"
                                        required
                                        :error="presentationNameError"
                                >
                                </sw-text-field>
                        {% endblock %}

                        {% block swag_guided_shopping_presentation_basic_form_active %}
                            <sw-switch-field
                                    :disabled="!acl.can('guided_shopping_presentation.editor')"
                                    name="presentationActive"
                                    class="swag-guided-shopping-presentation-detail-base__active"
                                    :label="$tc('swag-guided-shopping-presentation.base.general.isPresentationActiveLabel')"
                                    v-model:value="presentation.active"
                            </sw-switch-field>
                        {% endblock %}
                    </sw-container>
                {% endblock %}
            </sw-card>
        {% endblock %}

        <swag-guided-shopping-presentation-detail-cms-pages v-if="!isLoading && !presentation?._isNew">
        </swag-guided-shopping-presentation-detail-cms-pages>

        <swag-guided-shopping-presentation-detail-appointments v-if="!isLoading && !presentation?._isNew">
        </swag-guided-shopping-presentation-detail-appointments>

        {% block swag_guided_shopping_presentation_custom_fields %}
            <sw-card
                v-show="showCustomFieldsCard"
                class="swag-guided-shopping-presentation__custom-fields"
                position-identifier="swag-guided-shopping-presentation__custom-fields"
                :title="$tc('swag-guided-shopping-presentation.base.cardTitleCustomFields')"
                :is-loading="isLoading"
            >
                {% block swag_guided_shopping_presentation_custom_fields_content %}
                    <sw-custom-field-set-renderer
                        show-custom-field-set-selection
                        :entity="presentation"
                        :sets="customFieldSets"
                        :disabled="!acl.can('guided_shopping_presentation.editor')"
                    />
                {% endblock %}
            </sw-card>
        {% endblock %}
    </div>
{% endblock %}
